Bug 75461 - xchat crashed after unmounting cdrom
xchat crashed after unmounting cdrom
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: xchat (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-08 15:45 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-09 08:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-08 15:45:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
xchat crashed when cdrom is unmounted using Disk Mounter (2.0.1) applet

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start xchat
2.insert a cd (auto mounted)
3.unmount it clicking on the diskmounter applet icon
	

Actual Results:  xchat window disapear and the process is killed

Additional info:
Comment 1 Ed Halley 2002-10-08 15:59:31 EDT
I had seen this behavior on xchat on rhl7.3 for some time, and now on rhl8.0
also.  It is sporadic and hard to reproduce on purpose.  In fact, I was on the
verge of reporting it on rhl7.3 but the behavior seemed to go away for the last
couple months.

xchat sometimes crashes when a new icon appears, or an existing icon disappears,
from the gnome/nautilus desktop.

I noticed it most on device mounts like /mnt/cdrom and /mnt/flash, but it has
happened once even by just choosing "New Folder" on the desktop menu.  It's
happened with xchat on the current workspace, or even on another gnome-provided
workspace.

I'll try to get some forensics like a core dump or an strace if possible.
Comment 2 Mike A. Harris 2002-11-13 03:26:58 EST
Enough people have commented to me that they see this weird activity
that I believe there is a problem somewhere, but I'm not sure where,
and I never experience these problems so I'm sure my local system is
somehow configured different to the systems of those experiencing
problems.

Could someone who can reproduce this to some degree please attach
a backtrace or do some kind of troubleshooting to narrow the problem
down or provide info to allow me to have something more to go on?

Also CC'ing some of our desktop guys for input into this weirdish problem.

Comment 3 Mike A. Harris 2003-05-20 05:45:04 EDT
Does anyone have any insight on this at all?  Perhaps a step by step
how-to-reproduce?

The only thing I can think of, is if xchat is started from the commandline
while the CWD is inside the CDROM heirarchy, but then that doesn't make much
sense either as it would refuse to umount.  Any info you can provide which
could be useful to reproduce this, please add.
Comment 4 Alexander Larsson 2003-05-21 05:13:21 EDT
It seems very weird. I think the only way to debug it is to get a backtrace from
the crashed xchat.
Comment 5 Mike A. Harris 2003-05-21 05:32:49 EDT
I couldn't get it to crash by following the steps in #1.  ;o/  Enough people
have been having this problem though that it should be more reproduceable
than I'm getting.  My only guess is that it is dependant on specific xchat
settings perhaps that I don't have set the same way.

I'll give a shot at scripting it to break.  
Comment 6 Mike A. Harris 2003-09-09 08:23:19 EDT
Nobody is able to reproduce this problem internally, and in order to even
be able to fathom a guess as to what is causing it, we require someone who
can actually reproduce it to enable core dumps on their system, and get
a backtrace.  If this problem is still occuring in xchat 2.0.4 in rawhide
on our Severn beta or later, please obtain a backtrace and reopen this
bug report.  I also recommend filing a bug report with the xchat upstream
project to maximize exposure.

Closing as WORKSFORME for now.  Reopen if necessary.

Note You need to log in before you can comment on or make changes to this bug.